/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Metadata for the Lodging.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LodgingMetadata extends com.google.api.client.json.GenericJson {

  /**
   * Required. The latest time at which the Lodging data is asserted to be true in the real world.
   * This is not necessarily the time at which the request is made.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String updateTime;

  /**
   * Required. The latest time at which the Lodging data is asserted to be true in the real world.
   * This is not necessarily the time at which the request is made.
   * @return value or {@code null} for none
   */
  public String getUpdateTime() {
    return updateTime;
  }

  /**
   * Required. The latest time at which the Lodging data is asserted to be true in the real world.
   * This is not necessarily the time at which the request is made.
   * @param updateTime updateTime or {@code null} for none
   */
  public LodgingMetadata setUpdateTime(String updateTime) {
    this.updateTime = updateTime;
    return this;
  }

  @Override
  public LodgingMetadata set(String fieldName, Object value) {
    return (LodgingMetadata) super.set(fieldName, value);
  }

  @Override
  public LodgingMetadata clone() {
    return (LodgingMetadata) super.clone();
  }

}
